Apache Server - The response in servlets no longer works correctly
Oct 26, 2018 04:44 PM - Giancarlo Panichi

Status: Closed Start date: Oct 26, 2018
Priority: Normal Due date: Oct 30, 2018
Assignee: Andrea Dell'’Amico % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: Apache Server - Issues

Infrastructure: Pre-Production

Description

Upgrading Preprod from Nginx to Apache server the Response in servlets no longer works correctly.

| have encountered this problem in SAl which has been updated in Preprod when | try to download a file. But it could cover all other
portlets not yet updated in Preprod.

The error page in response is:
Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your reque

st.

Please contact the server administrator at webmaster@preprodl.d4science.org to inform them of the
time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Apache/2.4.7 (Ubuntu) Server at pre.d4science.org Port 8080

Related issues:
Related to D4Science Infrastructure - Task #12794: Workspace - Download probl... Closed Oct 29, 2018

History

#1 - Oct 26, 2018 07:12 PM - Andrea Dell'Amico

Did you try any other servlet?

#2 - Oct 26, 2018 07:39 PM - Massimiliano Assante

The workspace Download file servlet (called when you click download) works fine

#3 - Oct 26, 2018 07:42 PM - Giancarlo Panichi

Hi @massimiliano.assante@isti.cnr.it , | think that in Preprod there is the old version of the Workspace Portlet, we should also check the new one.
Monday | check if also DataMiner portlet has the same problem.

#4 - Oct 30, 2018 06:14 PM - Giancarlo Panichi

- Related to Task #12794: Workspace - Download problem with some file extension added

#5 - Oct 30, 2018 06:17 PM - Giancarlo Panichi
- Due date set to Oct 30, 2018
- Status changed from New to Closed

- % Done changed from 0 to 100

This problem was due to StorageHub and is solved. | close the ticket.
